Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonComponentUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonComponentUI

public class SubstanceRibbonComponentUI extends org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI
UI for `JRibbonComponent` components in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI

`org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI.ExtComponentLayout`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI

`captionLabel, disabledIcon, propertyChangeListener, ribbonComponent`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonComponentUI()`

## Method Summary

Modifier and Type
Method
Description
`protected org.pushingpixels.flamingo.api.common.icon.ResizableIcon`
`createDisabledIcon()`
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`paintIcon(Graphics g, org.pushingpixels.flamingo.api.ribbon.JRibbonComponent ribbonComp, Icon icon, int x, int y)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI

`createLayoutManager, getKeyTipAnchorCenterPoint, getLayoutGap, getPreferredSize, installComponents, installDefaults, installListeners, installUI, isCaptionVisible, isIconVisible, paint, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRibbonComponentUI

public SubstanceRibbonComponentUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### createDisabledIcon

protected org.pushingpixels.flamingo.api.common.icon.ResizableIcon createDisabledIcon()

Overrides:
  `createDisabledIcon` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI`

### paintIcon

protected void paintIcon(Graphics g, org.pushingpixels.flamingo.api.ribbon.JRibbonComponent ribbonComp, Icon icon, int x, int y)

Overrides:
  `paintIcon` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonComponentUI`